from threading import Thread
import time

class ThreaddyKruger(Thread):
  def __init__(self, sleepDelay):
    Thread.__init__(self)
    self.sleepDelay = sleepDelay

  def run(self):
    for i in range(10):
      print i
      time.sleep(self.sleepDelay)

t1 = ThreaddyKruger(.3)
t2 = ThreaddyKruger(.1)
t1.start()
t2.start()